Make the glanceclient-version configurable by adding a conf parameter

Registered by Amala Basha on 2013-07-17

Nova should be configured to use glanceclient V1 or V2. Adds an extra parameter in the conf to specify this value. Currently it is hardcoded to 1in all the glanceclient calls.

Blueprint information

Status:
Not started
Approver:
Mark Washenberger
Priority:
Undefined
Drafter:
None
Direction:
Needs approval
Assignee:
Amala Basha
Definition:
Drafting
Series goal:
None
Implementation:
Unknown
Milestone target:
None

Related branches

Sprints

Whiteboard

Gerrit topic: https://review.openstack.org/#q,topic:bp/glanceclient-version-in-nova-conf,n,z

Addressed by: https://review.openstack.org/37411
    Adding glanceclient-version in nova-conf

Gerrit topic: https://review.openstack.org/#q,topic:bp/glanceclient-version-in-nova-conf,n,z

Addressed by: https://review.openstack.org/37411
    Adding glanceclient-version in nova-conf

If you are still working on this, please re-submit via nova-specs. If not, please mark as obsolete, and add a quick comment to describe why. --johnthetubaguy (20th April 2014)

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.